Обновить 1.5. до 2.5

Стоимость обновления в нашей компании от 5000 р. Обновить можем с 1.0 до 3.0.

Разработчики Jooml'ы, как и все разработчики, не сидят сложа руки, а каждый день совершенствуют свое творение. Совершенствуют по тому, что прогресс не стоит на месте и с каждым днем появляются новые web-технологии, в части серверов, программной части и дизайне, и просто обязана соответствовать стандартам времени. Также не стоит забывать, что разработчики тоже люди и, как и всем, им свойственно ошибаться, ошибки неизбежны, благо с каждой новой версией нашей любимой CMS их становится все меньше и меньше.
Чтобы не быть голословным, рассмотрим риски которые несет в себе устаревшая версия Jooml'ы.


Безопасность — вероятно самой ответственной частью при обслуживании web-сайта является — обеспечение безопасности. К сожалению хакеры, в отличие от простых пользователей и даже администраторов, зачастую более осведомлены в области информационной безопасности. А это значит, что их инструменты и методы взлома более современны и эффективны в противостояние с системой безопасности 1.5.

Более того после выхода обновленной версии, все уязвимости предыдущей были опубликованы в сети и опасность взлома сайта стремиться к 100%

И единственным способом обезопасить свой сайт является обновление своей CMS до текущей версии (на момент написания статьи 2.5).

Самое страшное, что при проникновение вируса на сайт, поисковик Яндекс, проиндексировав такой сайт, добавляет его в черный список. Позиции в результатах выдачи падают и рядом с сайтом выводится информация "Сайт может угрожать безопасности вашего компьютера или мобильного устройства". Восстановление сайта в поисковике может занять более полугода!

Еще взлом сайта грозит распространением конфиденциальной информации с вашего ресурса в сеть. Понравилось бы вам если кто-то уведет базу с персональными данными пользователей сайта? А как это «понравится» пользователям... Но это еще не все, используя устаревшее программное обеспечение вы ставите под угрозу безопасность всего сервера на котором, наверняка, размещен не только ваш сайт; особенно актуальна эта проблема для тех кто, в качестве, хостинга использует сервер на собственном компьютере.


Соответствие современным стандартам — CSS3, HTML5 и другие свежие технологии просто не будут работать на устаревшей версии CMS. Это означает потерю юзабилити, а это, в свою очередь, означает потерю аудитории сайта. К сожалению сколь ценной не была бы информация или сервис представленный на сайте, пользователь встречает его по «одежке». Невозможность реализовать определенную современную технологию означает не только потерю, так сказать, этой технологии. Например устаревшие технологии просто не способны работать с должной скоростью, и это не зависит от скорости Интернет-соединения или скорости компьютера. Тоже относится и к расширениям, и к шаблонам дизайна Jooml'ы, а это уже потеря удобства, и, как следствие, времени и нервов для себя — администратора сайта. В конце концов мы столкнемся с тем, что браузеры перестанут корректно отображать содержимое сайтов созданных с помощью устаревших CMS, так как они будут ориентированны на современные стандарты, зачастую не совместимые с устаревшими.


Ошибки программистов и не оптимальный код — одна из самых сложных проблем, сложность заключается в том, что детектировать подобную проблему не всегда удается сразу. Последствия же этого могут быть весьма плачевными, ведь это как «дыры» в безопасности, так и некорректная работа с web-технологиями. Особенно плачевно, когда одна и та же ошибка приводит к пониженной безопасности сайта, так и к неправильной работе сайта. Однако винить в этом некого, ведь распространяется бесплатно по лицензии GPL (это значит, что вы можете изменять исходный код ПО), да и, как уже сказано, разработчики постоянно работают над оптимизацией CMS и обновления выходят достаточно часто, чтобы избежать плачевных последствий.


Надо «держать марку». Как было сказано выше, сайт встречают по «одежке» - у вас должен быть красивый, удобный и современный дизайн, логичное окружение и расстановка элементов, а еще сайт должен работать быстро. Бес современной CMS добиться этих обязательных свойств просто невозможно.
Итог: если у ваша устарела, обязательно обновите ее.


К сожалению не все так просто и, чтобы обновить CMS не потеряв контент и существующие настройки нужно обладать определенными навыками. Если вы не уверенны, что сможете сделать это самостоятельно, лучше довериться профессионалам. Наши профессионалы, обладающие навыками и опытом, готовы, за разумную плату и в определенные сроки выполнить работы по качественному обновлению CMS Joomla. Доверившись нам Вы, в итоге, лишитесь «головной боли» и получите современный и безопасный сайт. Стоит отметить, что расходы связанные восстановлением доступа к взломанному сайту на порядок выше стоимости работ по обновлению в нашей компании. И это не говоря об упущенной прибыли связанной с использованием устаревшего, неудобного и медленного сайта, в случае ели с помощью сайта вы осуществляете коммерческую деятельность или сайт представляет компанию в Интернете.


Однако если вы чувствуете, что достаточно подготовлены, и хотите обновить Jooml'у самостоятельно, следуйте инструкциям приведенным ниже:
Инструкции справедливы для обновления версии 1.7 до 2.5.


Сначала сделайте резервную копию файлов и базы данных сайта. (Вы ведь и без того делаете бекап сайта?..). Большинство хостинг-провайдеров имеют функцию бекапа, получить доступ к ней можно получить из панели управления хостингом. Если такой возможности нет, или вы по каким-то причинам не доверяете своему провайдеру, просто экспортируйте базу данных с помощью phpmyadmin и сохраните на жесткий диск, а затем с помощью FTP или файлового менеджера провайдера скопируйте папку public_html на свой компьютер.

Обновитесь в автоматическом режиме:

Перейдите в административную панель Jooml'ы;

Выберите «Сайт» > «Обслуживание» > «Очистить весь кэш» и удалите весь кэш;

Выберите «Сайт» > «Общие настройки» и отключите кэширование;

Выберите «Расширения» > «Менеджер расширений»;

В «Менеджере расширений» выберите «Обновление»;

На верхней панели нажмите кнопку «Очистить кэш»;

На той же панели нажмите «Найти обновления»;

Среди найденных обновлений выберите требуемую версию и нажмите кнопку «Обновить»;

И, желательно, почистить кэш собственного браузера.


Если автоматическое обновление не удалось, то установите дистрибутив новой версии как обычное расширение в менеджере расширений, если же вы изначально не хотите установить новую версию вручную, то проделайте действия указанные в пунктах 2.1, 2.2, 2.3 и устанавливайте дистрибутив.